Create authorization or sale

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
customer_data
object
required

HASH value of customer's identity.

Note: Either customer_token or customer_data must be provided. If both are missing, the request will trigger a validation error.

card_data
object
required

Card Data properties - applicable for sale, payout, authorization

Note: If you're using the Sandbox2.0 environment, you can provide plain, unencrypted card data directly as provided in the example below. However, in all other cases, the card_data field must contain encrypted values as specified in the schema.

string
required
length ≤ 50

Merchant API client account identifier.

string
required
length ≤ 32

Identifier of your application (website).

string
required
length ≤ 3

API version.

integer
required

Request time (unix timestamp, seconds).

string
required
length ≤ 16

Transaction type.

integer
enum

Background dynamic currency conversion. Allowed values are:

  • 1 is enabled
  • 0 is disabled (default)

Note 1: This parameter can be used to decide how to process given prior knowledge of the gateways available for processing and bdcc support for each, by using it in conjunction with get-available-gateways API.

Note 2: This option is only supported for cascade and cannot be used in conjunction with specifying a gateway (hash). In case of using a gateway hash, please specify a supported processing currency. You can use the get-available-gateways API to determine supported currencies.

Allowed:
string
length ≤ 32

Gateway doing the processing.

mit
object

The mit object is important for MIT (Merchant-Initiated Transactions). If you do consider processing the credit card payments over Direct API on customer's behalf, include this object into your Direct API requests.

device_data
object
required

The device data (also known as device fingerprint) is essential for supporting 3DSv2 - the advanced 3D Secure verification flow.

If you plan to process credit card payments using the Direct API, it is strongly recommended to include device data in your requests to ensure better compatibility and security.

three_ds_mpi_result
object

Three DS MPI Result data is result of 3DS MPI Authentication which was provided by an external 3DS MPI provider. Use this object to send the results of 3DS authentication in Direct API.

string
required
length ≤ 10

Base Currency: The user's account currency on the merchant site.

integer
required

Transaction amount in cents.

Note: For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.

string
required
length ≤ 50

Unique customer id in your system.

Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.

string
enum
required
length ≤ 5

User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the ISO 639-1 language code, and the second is the ISO 3166-1 country code.

Note: Contact [email protected] to add new locale if not available in the list.

string
required
length ≤ 50

Transaction or session identifier in your system.

string
required
length ≤ 256

URL to which the deposit status notification will be sent.

string
required
length ≤ 256

User will be redirected to a specified URL(relevant for cashier login, virtual terminal, 3D Secure and E-Wallet login redirect).

string
length ≤ 256

Your custom field to tag the transaction with some necessary information.

string
length ≤ 256

Your custom field to tag the transaction with some necessary information.

string
length ≤ 256

Your custom field to tag the transaction with some necessary information.

Headers
string
required

Authentication HTTP header of your outgoing request to the API. Below request parameters should be used for creating signature in request header.

  • merchant_id
  • application_key
  • timestamp
  • transaction_type
  • cid
  • order_id
  • currency
  • amount
  • gateway
  • notification_url
  • return_url
  • card_data.card_number or card_token
  • card_data.hpf_auth_token(in case of HPF)
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json